App store purchasing with "wrong" OSX version for app?

Discussion in 'Mac Apps and Mac App Store' started by macstatic, Oct 1, 2013.

  1. macstatic macrumors 6502a

    Joined:
    Oct 21, 2005
    #1
    Is there a way to purchase an app from the App store which demands a newer OSX than I currently have? Let me explain....

    I've been holding off upgrading from OSX 10.6.8 Snow Leopard for various reasons but will have to give in eventually. However, Mavericks is right around the corner I'm told, so it would be silly to upgrade to Mountain Lion in the meantime.
    As for the app I want to buy -it's at a special price for today only, so I was hoping I could purchase it now and use it later, but the App store won't let me spend my money that way. Is there a way around this, so I can purchase without upgrading OSX first?
     
  2. r3m1 macrumors regular

    r3m1

    Joined:
    Apr 7, 2012
    Location:
    Earth
  3. macstatic thread starter macrumors 6502a

    Joined:
    Oct 21, 2005
    #3
    It worked!
    Thanks :)

    In case anyone's curious about the app: it's part of the deal is at $2 Tuesdays which, as the name imples, features new deals every Tuesday.
     

Share This Page